import '../uibit.dart';
import 'PathPrinter.dart';
class ClipInnerRadius extends StatelessWidget {
  final Widget child;
  final double radius;

  const ClipInnerRadius({Key key, this.child, this.radius}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ClipPath(
      clipper: BottomInnerRadius(radius),
      child: child,
    );
  }
}

class BottomInnerRadius extends CustomClipper<Path> {
  final double radius;

  BottomInnerRadius(this.radius);

  @override
  Path getClip(Size size) {
    return PathPrinter.bottomInnerRadius(w: size.width, h: size.height, r: radius ?? 25);
  }

  @override
  bool shouldReclip(CustomClipper old) {
    return old != this;
  }
}
