import '../uibit.dart';

class ContainerClip extends Container {
  double size;
  Color borderColor;
  Color backColor;
  double borderWidth;
  BorderRadius borderRadius;
  final GestureTapCallback onTap;

  ContainerClip({
    Key key,
    this.size,
    child,
    this.borderColor,
    this.backColor,
    this.borderWidth = 1,
    this.borderRadius,
    this.onTap,
  })  : assert(size != null && size > 0),
        super(key: key, child: child, width: size, height: size);

  BorderRadius get _borderRadius => borderRadius ?? BorderRadius.circular(size / 2);

  @override
  Widget get child => Container(
    alignment: Alignment.center,
    child: Container(
      width: size,
      height: size,
      decoration: BoxDecoration(
        color: backColor ?? kColor.light5,
        border: Border.all(color: borderColor ?? kColor.light3, width: borderWidth ?? 0),
        borderRadius: _borderRadius,
      ),
      alignment: Alignment.center,
      child: Material(
        borderRadius: _borderRadius,
        clipBehavior: Clip.hardEdge,
        child: InkWell(
          borderRadius: _borderRadius,
          onTap: onTap,
          child: super.child,
        ),
      ),
    ),
  );

}
