import '../uibit.dart';

class FadePageRoute extends PageRouteBuilder {
  final Widget child;

  FadePageRoute({this.child})
      : super(
      pageBuilder: (BuildContext context, Animation<double> animation, Animation<double> secondaryAnimation) {
        return FadeTransition(
          opacity: Tween(begin: 0.0, end: 1.0).animate(animation),
          child: child,
        );
      },
      barrierDismissible: true,
      barrierLabel: MaterialLocalizations.of(Uikit.context).modalBarrierDismissLabel,
      barrierColor: Color(0x01FFFFFF),
      opaque:false
  );

  @override
  get transitionsBuilder => ((BuildContext context, Animation<double> animation, Animation<double> secondaryAnimation, Widget child) {

    final animOffset = Tween<Offset>(
      begin: Offset(1.0, 0.0),
      end: Offset(0.0, 0.0),
    ).animate(CurvedAnimation(
      parent: animation,
      curve: Curves.fastOutSlowIn,
    ));

    return SlideTransition(
      position: animOffset,
      child: child,
    );
  });
}
