import 'dart:ui';
import '../uibit.dart';

class AnimController extends AnimationController {
  final Curve curve;
  CurvedAnimation curvedAnimation;

  AnimController({Duration duration, @required TickerProvider vsync, double value, double lowerBound = 0.0, double upperBound = 1.0, this.curve}) : super(vsync: vsync, duration: duration, value: value, lowerBound: lowerBound, upperBound: upperBound);

  bool get isCurved => curve != null;

  double lerp(double a, double b, {int ratio = 1}) => lerpDouble(a, b, Interval(0, 1 / ratio).transform(value.abs()));

  AnimController.unbounded({double value = 0.0, @required TickerProvider vsync, this.curve}) : super(vsync: vsync, value: value, lowerBound: double.negativeInfinity, upperBound: double.infinity);

  @override
  double get value => isCurved ? curve.transform(super.value) : super.value;
}
